Subject: Offline Message from Cristobal Davila, hello I'm needing some parts for my 7T.: I filled out a parts request form for the charging port on the stem and a new battery. Can you tell me if you recieved
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 03 Jul 2022 05:01:33 -0000

From: Cristobal Davila, hello I'm needing some parts for my 7T. <[email-masked]>
Phone: 3612492649
Location: Houston, United States
URL: https://swagtron.com/parts
Department: SwagTron

I filled out a parts request form for the charging port on the stem and a new battery. Can you tell me if you recieved it?

----
Zopim
https://www.zopim.com